local class = require"engine.class"
local ActorTalents = require "engine.interface.ActorTalents"
local ActorTemporaryEffects = require "engine.interface.ActorTemporaryEffects"
local Birther = require "engine.Birther"
local DamageType = require "engine.DamageType"
local Map = require "engine.Map" 


class:bindHook("ToME:load", function(self, data)
	ActorTalents:loadDefinition("/data-furraerace/talents/furrae.lua")
	ActorTalents:loadDefinition("/data-furraerace/talents/animalkin.lua")
	Birther:loadDefinition("/data-furraerace/birth/furrae.lua")
	Birther:loadDefinition("/data-furraerace/birth/classes/furrae.lua")
	--ActorTemporaryEffects:loadDefinition("/data-furraerace/timed_effects/furrae.lua")
	--DamageType:loadDefinition("/data-furraerace/damage_types.lua")
end)

class:bindHook("Actor:actBase:Effects", function(self, data)
	if self.animalfriend then
		self.animalfriend:forceLevelup(self.animalfriend)
	end
	if self:isTalentActive(ActorTalents.T_GRASPING_EARTH) then
		local t = self:getTalentFromId(ActorTalents.T_GRASPING_EARTH)
		t.do_fury(self, t)
	end
end)



